Name:		afros
Version:	8.12
Release:	1%{?dist}
Summary:	Atari Free Operating System for use with the Aranym virtual machine
Group:		Applications/Emulators
License:	GPLv2+
URL:		http://aranym.org/afros.html
Source0:	http://downloads.sourceforge.net/aranym/%{name}812.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	dos2unix
Requires:	aranym


%description
Atari Free Operating System for use with the Aranym virtual machine.


%prep
%setup -q -n %{name}

dos2unix --keepdate README.txt


%build
sed -i -e 's|= system|= %{_datadir}/%{name}|g' config
sed -i -e 's|C = drive_c|C = %{_localstatedir}/lib/%{name}/drive_c|g' config
sed -i -e 's|E = \.|E = %{_docdir}/%{name}-%{version}|g' config
sed -i -e 's|F =|F = .|g' config


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}

cp -p config $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -p system/* $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a drive_c $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc INSTALL.txt README.txt
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}


%changelog
* Sun Oct 31 2010 Dan Horák <dan[at]danny.cz> 8.12-1
- update to 8.12

* Wed Oct 22 2008 Dan Horák <dan[at]danny.cz> 0.9.6-1.1
- update to 0.9.6-1

* Sat Oct  6 2007 Dan Horák <dan[at]danny.cz> 0.9.5-1.3
- initial version
